Subject: bug#21957: 24.5; Make occur search within regions when there is one

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 14:43:28 +0100

Li Ian-Xue <[email-masked]> writes:

> Yes, that is what I did when I found out `occur' doesn't do regions. A
> friend of mine suggested
> that a combination of narrowing (C-x n w) and M-s o should do the trick,
> and it did.
>
> Nevertheless still I would still prefer `occur' to accept a regional
> parameter, as it would be much straight forward mode of operation.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

occur now works as requested in the current Emacs version -- it does the
operation on the active region, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no